diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 84d5db0..dbb2293 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -18043,7 +18043,7 @@ ElementaryFunctionStructurePackage(R,F): Exports == Implementation where
     taneval(f, lk, k, v) ==
       u := first argument k
       fns := toU lk
-      c := u - +/[qelt(v, i) * x for i in minIndex v .. maxIndex v for x in fns]
+      c := u - +/[qelt(v, i)*x for i in minIndex v .. maxIndex v for x in fns]
       (rec := goodCoef(v, lk, "tan"::SY)) case "failed" =>
           tannosimp(f, lk, k, v, fns, c)
       v0 := retract(inv qelt(v, rec.index))@Z
@@ -18055,7 +18055,7 @@ ElementaryFunctionStructurePackage(R,F): Exports == Implementation where
       [eval(f, [rec.ker], [g]), [rec.ker], [g]]
 
     tannosimp(f, lk, k, v, fns, c) ==
-      every?(is?(#1, "tan"::SY), lk) =>
+      every?(x+->is?(x, "tan"::SY), lk) =>
         dd := (d := (cd := splitDenominator v).den)::F
         newt := [tan(u / dd) for u in fns]$List(F)
         newtan := [tanNa(t, d) for t in newt]$List(F)
@@ -18069,7 +18069,7 @@ ElementaryFunctionStructurePackage(R,F): Exports == Implementation where
       [eval(f, [k], [h]), [k], [h]]
 
     expnosimp(f, lk, k, v, fns, g) ==
-      every?(is?(#1, "exp"::SY), lk) =>
+      every?(x+->is?(x, "exp"::SY), lk) =>
         dd := (d := (cd := splitDenominator v).den)::F
         newe := [exp(y / dd) for y in fns]$List(F)
         newexp := [e ** d for e in newe]$List(F)
diff --git a/changelog b/changelog
index 74ba9a9..8cbfb07 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090517 tpd src/axiom-website/patches.html 20090517.01.tpd.patch
+20090517 tpd books/bookvol10.4 EFSTRUC +-> conversion
 20090516 tpd src/axiom-website/patches.html 20090516.05.tpd.patch
 20090516 tpd books/bookvol10.4 INTEF +-> conversion
 20090516 tpd src/axiom-website/patches.html 20090516.04.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 559e9a2..ba9d3b8 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1328,5 +1328,7 @@ bookvol10.3 RADFF +-> conversion<br/>
 bookvol10.3 RECLOS +-> conversion<br/>
 <a href="patches/20090516.05.tpd.patch">20090516.05.tpd.patch</a>
 bookvol10.4 INTEF +-> conversion<br/>
+<a href="patches/20090517.01.tpd.patch">20090517.01.tpd.patch</a>
+bookvol10.4 EFSTRUC +-> conversion<br/>
  </body>
 </html>
